liblucene2-java_2.9.4+ds1-4_all.deb


Advertisement

Description

liblucene2-java - Full-text search engine library for Java(TM)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name liblucene2-java
Package version 2.9.4+ds1
Package release 4
Package architecture all
Package type deb
Installed size 5.92 KB
Download size 5.53 MB
Official Mirror ftp.br.debian.org
Lucene is a full-text search engine for the Java(TM) programming language.
Lucene is not a complete application, but rather a code library and API
that can easily be used to add search capabilities to applications.
This package contains the Lucene core library and a number of additional
(contributed) libraries.

Alternatives

Package Version Architecture Repository
liblucene2-java_2.9.4+ds1-4_all.deb 2.9.4+ds1 all Debian Main
liblucene2-java - - -

Download

Type URL
Binary Package liblucene2-java_2.9.4+ds1-4_all.deb
Source Package lucene2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblucene2-java deb package:
    # sudo apt-get install liblucene2-java

Files

Path
/usr/lib/liblucene2-java/lucli
/usr/lib/liblucene2-java/lucli.1.gz
/usr/share/doc/liblucene2-java/BUILD.txt
/usr/share/doc/liblucene2-java/NOTICE.txt
/usr/share/doc/liblucene2-java/README.Debian
/usr/share/doc/liblucene2-java/README.txt
/usr/share/doc/liblucene2-java/changelog.Debian.gz
/usr/share/doc/liblucene2-java/changelog.gz
/usr/share/doc/liblucene2-java/copyright
/usr/share/java/lucene-analyzers-2.9.4.jar
/usr/share/java/lucene-analyzers.jar
/usr/share/java/lucene-ant-2.9.4.jar
/usr/share/java/lucene-ant.jar
/usr/share/java/lucene-bdb-2.9.4.jar
/usr/share/java/lucene-bdb-je-2.9.4.jar
/usr/share/java/lucene-bdb-je.jar
/usr/share/java/lucene-bdb.jar
/usr/share/java/lucene-benchmark-2.9.4.jar
/usr/share/java/lucene-benchmark.jar
/usr/share/java/lucene-collation-2.9.4.jar
/usr/share/java/lucene-collation.jar
/usr/share/java/lucene-core-2.9.4.jar
/usr/share/java/lucene-core.jar
/usr/share/java/lucene-fast-vector-highlighter-2.9.4.jar
/usr/share/java/lucene-fast-vector-highlighter.jar
/usr/share/java/lucene-highlighter-2.9.4.jar
/usr/share/java/lucene-highlighter.jar
/usr/share/java/lucene-instantiated-2.9.4.jar
/usr/share/java/lucene-instantiated.jar
/usr/share/java/lucene-lucli-2.9.4.jar
/usr/share/java/lucene-lucli.jar
/usr/share/java/lucene-memory-2.9.4.jar
/usr/share/java/lucene-memory.jar
/usr/share/java/lucene-misc-2.9.4.jar
/usr/share/java/lucene-misc.jar
/usr/share/java/lucene-queries-2.9.4.jar
/usr/share/java/lucene-queries.jar
/usr/share/java/lucene-queryparser-2.9.4.jar
/usr/share/java/lucene-queryparser.jar
/usr/share/java/lucene-regex-2.9.4.jar
/usr/share/java/lucene-regex.jar
/usr/share/java/lucene-remote-2.9.4.jar
/usr/share/java/lucene-remote.jar
/usr/share/java/lucene-smartcn-2.9.4.jar
/usr/share/java/lucene-smartcn.jar
/usr/share/java/lucene-snowball-2.9.4.jar
/usr/share/java/lucene-snowball.jar
/usr/share/java/lucene-spatial-2.9.4.jar
/usr/share/java/lucene-spatial.jar
/usr/share/java/lucene-spellchecker-2.9.4.jar
/usr/share/java/lucene-spellchecker.jar
/usr/share/java/lucene-surround-2.9.4.jar
/usr/share/java/lucene-surround.jar
/usr/share/java/lucene-swing-2.9.4.jar
/usr/share/java/lucene-swing.jar
/usr/share/java/lucene-wikipedia-2.9.4.jar
/usr/share/java/lucene-wikipedia.jar
/usr/share/java/lucene-wordnet-2.9.4.jar
/usr/share/java/lucene-wordnet.jar
/usr/share/java/lucene-xml-query-parser-2.9.4.jar
/usr/share/java/lucene-xml-query-parser.jar

Changelog

2011-09-19 - Benjamin Drung <bdrung@debian.org>
lucene2 (2.9.4+ds1-4) unstable; urgency=low
[ Benjamin Drung ]
* Team upload.
* Upload to unstable (Closes: #640494).
* Use versioned format link in debian/copyright (Closes: #631632).
* Build with default-jdk instead of openjdk-6-jdk.
* Use dpkg-source version 1.0 until we switch to quilt.
[ Jan-Pascal van Best ]
* Removed Jan-Pascal van Best from Uploaders
2011-08-03 - Niels Thykier <niels@thykier.net>
lucene2 (2.9.4+ds1-3) experimental; urgency=low
* Team upload.
- Upload to experimental to avoid breaking eclipse in sid.
* Fixed the Bundle-SymbolicName of the lucene-core.jar.
(Closes: 631235)
* Dropped JRE dependencies - no longer required by the Java Policy.
* Do not install CHANGES.txt - dh_installchangelogs already installs
this as the upstream changelog.
* Bumped Standards-Version to 3.9.2 - no changes required.
2011-07-06 - Mehdi Dogguy <mehdi@debian.org>
lucene2 (2.9.4+ds1-2) unstable; urgency=low
* Team upload.
* Change dependency on libdb5.1-java to libdb-java (Closes: #628288)
2011-04-21 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.4+ds1-1) unstable; urgency=low
* New upstream version: 2.9.4
* Added a Breaks: eclipse-platform (<= 3.5.2-6), forward-port from
2.9.2+ds1-1squeeze1 (Closes: #595356)
* Put lucli under update-alternatives control to allow liblucene3-java-contrib
to take over
* Change dependency on libdb4.7-java to libdb5.1-java (Closes: #621398)
* Fixed debian/watch for new Apache archive repository layout
* Bump standards version to 3.9.1 (no changes needed)
2010-08-06 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.3+ds1-1) unstable; urgency=low
* New upstream release 2.9.3
* Bump standards version to 3.9.0 (no changes needed)
* Added OSGI Require-Bundle metadata in contrib libraries (Closes: #578196)
2010-03-18 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.2+ds1-1) unstable; urgency=low
* New upstream release
* Add patch to fix Java networking during package build (workaround for
#560056).
* Bump standards version to 3.8.4 (no changes needed)
2010-01-23 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.1+ds1-5) unstable; urgency=low
* Override OSGi Bundle-SymbolicName for lucene-analyzers to be
`analysis' instead of `analyzers' (Closes: #566445)
2010-01-22 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.1+ds1-4) unstable; urgency=low
* Disable calling svnversion during package build
* Backport upstream fix (svn 834011): fix bug that causes false positive
failure in the test (Closes: #562308)
2010-01-20 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.1+ds1-3) unstable; urgency=low
* Mention in this changelog that CVE-2007-2383 has been fixed
(Closes: #558355; Fix CVE-2007-2383)
* Providing OSGi metadata in the Manifest for the
core and contrib packages (needed for building Eclipse).
2009-11-19 - Jan-Pascal van Best <janpascal@vanbest.org>
lucene2 (2.9.1+ds1-2) unstable; urgency=low
* Removed (unused) embedded Prototype javascript library 
(Closes: #555225, #555226; Fix CVE-2007-2383)
* Added README.source containing information about how to create the Debian
source from the upstream source tarball

See Also

Package Description
liblucene3-contrib-java_3.6.2+dfsg-5+deb8u2_all.deb Full-text search engine library for Java - additional libraries
liblucene3-java-doc_3.6.2+dfsg-5+deb8u2_all.deb Documentation for Lucene
liblucene3-java_3.6.2+dfsg-5+deb8u2_all.deb Full-text search engine library for Java - core library
liblucene4-java_4.6.1+dfsg-3_all.deb Full-text search engine library for Java(TM)
liblucy-perl_0.3.3-4+b1_amd64.deb search engine library
liblunar-1-0_2.0.1-2.2_amd64.deb Chinese Lunar library
liblunar-1-dev_2.0.1-2.2_amd64.deb Development files for the Chinese Lunar library
liblunar-1-doc_2.0.1-2.2_all.deb Documentation for the Chinese Lunar library
liblunar-date-2.0-0_2.4.0-3_amd64.deb Chinese Lunar library based on GObject
liblunar-date-dev_2.4.0-3_amd64.deb Chinese Lunar library based on GObject - develop files
liblunar-date-doc_2.4.0-3_all.deb Chinese Lunar library based on GObject - API documents
liblv2dynparam1-dev_2-5_amd64.deb lv2dynparam is a LV2 plugin interface extension
liblv2dynparamhost1-1_2-5_amd64.deb LV2 plugin interface extension - host
liblv2dynparamplugin1-0_2-5_amd64.deb LV2 plugin interface extension - plugin
liblvm2-dev_2.02.111-2.2+deb8u1_amd64.deb LVM2 libraries - development files
Advertisement
Advertisement